UNIT uWortgenerator;
(* ******************************************************************** *)
(* K L A S S E : WORT                                                   *)
(* -------------------------------------------------------------------- *)
(* Version     : 1.0                                                    *)
(* Autor       :                                                        *)
(* Beschreibung: Das Objekt erzeugt eine zufaellige Zeichenkette, die   *)
(*               als String verarbeitet werden kann.                    *)
(* Compiler    : Delphi 3.0                                             *)
(* Aenderungen : V. 1.0   03-JAN-99                                     *)
(* ******************************************************************** *)

INTERFACE
(* ==================================================================== *)

type
   TWort     = class (TObject)
                Wort   : string;
                Laenge : Byte;
                UpCase : boolean;

                procedure Init;                            virtual;
                procedure Erzeugen;                        virtual;
                procedure SetUpCase(Up: boolean);          virtual;
                procedure SetLaenge(l :integer);           virtual;
                function  GetLaenge : integer;             virtual;
                function  GetWort : string;                virtual;
                function  IstGleich (st: string): boolean; virtual;
                function  IstKleiner (st: string): boolean;virtual;
              end;

(* -------------------- B e s c h r e i b u n g -------------------------

Oberklasse    : -
Bezugsklassen : -

Methoden
--------

Init
   Auftrag: Leeres Wort init.
   vorher : -
   nachher: Laenge ist 0; UPCASE; Zufallsgeneartor gestartet.



Erzeugen
   Auftrag: Wort aus zufaelligen Buchstaben (A-Z, a-z ohne Umlaute) zusammen-
            setzen. Laenge und Gross/KLeinschreibung koennen vorhergesetzt
            werden
   vorher : -
   nachher: -


GetWort
   Anfrage: liefert das erzeugte Wort
   vorher : Laenge ist groesser Null
   nachher:

----------------------------------------------------------------------- *)


IMPLEMENTATION
(* ==================================================================== *)

procedure TWort.Init;
(* -------------------------------------------------------------------- *)
begin
  Wort   := '';
  Laenge := 0;
  UPCase := true;
  Randomize;
end;


procedure TWort.SetUpCase(Up:boolean);
(* -------------------------------------------------------------------- *)
begin
  UPCase := Up;
end;


procedure TWort.SetLaenge (l : integer);
(* -------------------------------------------------------------------- *)
begin
  Laenge := l;
end;


procedure TWort.Erzeugen;
(* -------------------------------------------------------------------- *)
var i,
    asciicode,
    startcode : Byte;

Begin
  if UPCase
  then startcode := 65
  else startcode := 97;

  Wort := '';

  for i := 1 to Laenge do
  begin
    asciicode :=  startcode + Random(26);
    Wort := Wort + char(asciicode);
  end;
end;


function TWort.GetWort : string;
(* -------------------------------------------------------------------- *)
begin
  Result := Wort;
end;

function  TWort.GetLaenge : integer;
(* -------------------------------------------------------------------- *)
begin
  Result := Laenge;
end;

function TWort.IstGleich (st:string): boolean;
(* -------------------------------------------------------------------- *)
begin
  if Wort = st
  then Result := true
  else Result := false;
end;

function TWort.IstKleiner (st:string): boolean;
(* -------------------------------------------------------------------- *)
begin
  if Wort < st
  then Result := true
  else Result := false;
end;

END. 
